//*****************************************************************************
//*****************************************************************************
//  FILENAME:  `@LIB_NAME`_CSDRSLIDER.h
//  Version: 1.0, Updated on 2009/5/7 at 21:17:49
//  `@PSOC_VERSION`
//
//  DESCRIPTION:  Header file for CSDRSLIDER driver 
//-----------------------------------------------------------------------------
//      Copyright (c) Cypress MicroSystems 2006. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************
#ifndef CSDRSLIDER_INCLUDE
#define CSDRSLIDER_INCLUDE

#include <M8C.h>
`@CSDRSLIDER_ORDINAL_DEFINE_BLOCK`
#define `@LIB_NAME`_CSDRSLIDER_COUNT `@CSDRSLIDER_COUNT`

// channel type header file
#include "CMX_CSDR_CHAN.h"
#include "CMX_CSDRSLIDERConst.h"
#include "`@LIB_NAME`_CSDRSLIDEBASE.h"

////////////////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////////////////
// parameter block
typedef struct
{
	BYTE bInstanceID;
	const CSDSliderSettings * pCSDSliderSettings;
}`@LIB_NAME`_CSDRSLIDER_ParameterBlock;

//-------------------------------------------------
// Prototypes of the CSDRSLIDER API.
//-------------------------------------------------
extern void `@LIB_NAME`_CSDRSLIDER_Instantiate(const `@LIB_NAME`_CSDRSLIDER_ParameterBlock * pPBlock);
extern BYTE `@LIB_NAME`_CSDRSLIDER_GetValue(const `@LIB_NAME`_CSDRSLIDER_ParameterBlock * pPBlock);
extern WORD `@LIB_NAME`_CSDRSLIDER_GetDifference(const `@LIB_NAME`_CSDRSLIDEBASE_ParameterBlock * pPBlock);

#endif
