//*****************************************************************************
//*****************************************************************************
//  FILENAME:  `@LIB_NAME`_USBUART_Drv.h
//   Version: 1.4, Updated on 2009/5/7 at 21:16:21
//  `@PSOC_VERSION`
//
//  DESCRIPTION:  Header file for USBUART_Drv.c                             
//
//-----------------------------------------------------------------------------
//      Copyright (c) Cypress MicroSystems 2004. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************
#ifndef `@LIB_NAME`_USBUART_include
#define `@LIB_NAME`_USBUART_include

typedef struct
{
	BYTE bRAMLen;           //  Length of RAM buffer used.
	BYTE bRWLen;            //  Length of RW memory locations starting from 0.
	BYTE * pbRAMRegs;       //  Pointer to RAM used for registers  (2 Byte pointer)
	BYTE bPowerStatus;      // Power Status can be STATUS_BUS_POWERED or STATUS_SELF_POWERED
}`@LIB_NAME`_USBUART_ParameterBlock;

// Function prototypes
void `@LIB_NAME`_USBUART_Instantiate(const `@LIB_NAME`_USBUART_ParameterBlock * thisBLK );
void `@LIB_NAME`_USBUART_DataTransfer(const `@LIB_NAME`_USBUART_ParameterBlock * thisBLK);
BYTE `@LIB_NAME`_USBUART_CommandType(BYTE *pbCommand);
int  `@LIB_NAME`_USBUART_Str16ToByte(char *pbStrNum);
void `@LIB_NAME`_USBUART_PrMessage(BYTE bError);
void `@LIB_NAME`_USBUART_PrCountByte(BYTE bCuuntByte);
BYTE `@LIB_NAME`_USBUART_CheckReady(void);

#endif
