//*****************************************************************************
//*****************************************************************************
//  FILENAME:  `@LIB_NAME`_VarFreqDutyPWM.h
//  Version: 1.1, Updated on 2008/6/23 at 14:10:5 
//  `@PSOC_VERSION`
//
//  DESCRIPTION:  Header file for the VarFreqDutyPWM Driver
//-----------------------------------------------------------------------------
//      Copyright (c) Cypress MicroSystems 2006. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************

#ifndef `@LIB_NAME`_VARFREQDUTYPWM_include
#define `@LIB_NAME`_VARFREQDUTYPWM_include

#include <M8C.h>


////////////////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////////////////
// parameter block
typedef struct
{
    BYTE VarFreqDutyPWM_ID; // Instance ID
    BYTE VarFreqDutyPWM_ChannelID;
    BYTE VarFreqDutyPWM_Polarity;
}`@LIB_NAME`_VarFreqDutyPWM_ParameterBlock;
/////////////////////////////

// Function prototypes
void `@LIB_NAME`_VarFreqDutyPWM_SetValue(const `@LIB_NAME`_VarFreqDutyPWM_ParameterBlock * thisBLK , int iPercentDutyFreq);
void `@LIB_NAME`_VarFreqDutyPWM_Instantiate(const `@LIB_NAME`_VarFreqDutyPWM_ParameterBlock * thisBLK );


#endif
