//----------------------------------------------------------------------------
// DriverDecl.h
//----------------------------------------------------------------------------

#include <m8c.h>        // part specific constants and macros
#include "PSoCAPI.h"    // PSoC API definitions for all User Modules
#include "CMX_CSDRSLIDEBASE.h"
#include "CMX_CSDRSLIDEBASE.h"
#include "CMX_CSDRSLIDEBASE.h"
#include "CMX_CSDRSLIDEBASE.h"
#include "CMX_CSDRSLIDEBASE.h"
#include "CMX_CSDRSLIDEBASE.h"
#include "CMX_CSDRSLIDEBASE.h"
#include "CMX_CSDRSLIDEBASE.h"
#include "CMX_CSDRSLIDEBASE.h"
#include "CMX_CSDRSLIDEBASE.h"
#include "CMX_CSDRPROPERTY.h"
#include "CMX_I2C.h"
#include "CMX_VarFreqDutyPWM.h"
#include "CMX_SWINTCONTLED.h"
#include "CMX_SWINTCONTLED.h"
#include "CMX_SWINTCONTLED.h"
#include "CMX_SWINTCONTLED.h"
#include "CMX_USBUART.h"
#include "CMX_CSDRSLIDER.h"
#include "CMX_CSDRSLIDER.h"

// Driver ID's
#define ID_pse_Slide_Y_CSD_Slider00 1
#define ID_pse_Slide_Y_CSD_Slider01 2
#define ID_pse_Slide_X_CSD_Slider00 3
#define ID_pse_Slide_X_CSD_Slider01 4
#define ID_pse_Slide_X_CSD_Slider02 5
#define ID_pse_Slide_X_CSD_Slider03 6
#define ID_pse_Slide_X_CSD_Slider04 7
#define ID_pse_Slide_Y_CSD_Slider02 8
#define ID_pse_Slide_Y_CSD_Slider03 9
#define ID_pse_Slide_Y_CSD_Slider04 10
#define ID_pse_CSDProp 11
#define ID_pse_I2C_Slave 12
#define ID_pse_PWM 13
#define ID_pse_LED_XP 14
#define ID_pse_LED_XM 15
#define ID_pse_LED_YP 16
#define ID_pse_LED_YM 17
#define ID_pse_USB_COM 18
#define ID_pse_Slide_X 19
#define ID_pse_Slide_Y 20

// Channel ID's
#define ID_CAPSENSE_SD_12 0
#define ID_CAPSENSE_SD_14 1
#define ID_CAPSENSE_SD_24 2
#define ID_CAPSENSE_SD_26 3
#define ID_CAPSENSE_SD_28 4
#define ID_CAPSENSE_SD_30 5
#define ID_CAPSENSE_SD_32 6
#define ID_CAPSENSE_SD_40 7
#define ID_CAPSENSE_SD_42 8
#define ID_CAPSENSE_SD_44 9
#define ID_CSDCTRL_00 0
#define ID_CSD_01 1
#define ID_I2C_01 0
#define ID_PWMVFREQ_02 0
#define ID_SHADOWREGS_0 0
#define ID_SHADOWREGS_1 1
#define ID_SHADOWREGS_2 2
#define ID_SHADOWREGS_3 3
#define ID_SHADOWREGS_4 4
#define ID_SHADOWREGS_5 5
#define ID_SHADOWREGS_7 7
#define ID_SWPWM_17 0
#define ID_SWPWM_19 1
#define ID_SWPWM_21 2
#define ID_SWPWM_23 3
#define ID_SWPWM_Timer_01 1
#define ID_USBUART_00 0
#define ID_USBUART_SHARED_00 0

// Channel Type maximum count
#define CMX_CAPSENSE_SDR_IN_CHAN_MAX 10
#define CMX_CSDR_CONTROL_CHAN_MAX 1
#define CMX_CSDR_CHAN_MAX 1
#define CMX_I2C_IFC_CHAN_MAX 1
#define CMX_PWMVFREQ_CHAN_MAX 1
#define CMX_SHADOW_MAX 7
#define CMX_SWPWM_CHAN_MAX 4
#define CMX_SWPWMTIMER_CHAN_MAX 1
#define CMX_USBUART_CHAN_MAX 1
#define CMX_USBUART_SHARED_CHAN_MAX 1

// Channel Type instantiation count
#define CMX_CAPSENSE_SDR_IN_CHAN_COUNT 10
#define CMX_CSDR_CONTROL_CHAN_COUNT 1
#define CMX_CSDR_CHAN_COUNT 0
#define CMX_I2C_IFC_CHAN_COUNT 1
#define CMX_PWMVFREQ_CHAN_COUNT 1
#define CMX_SHADOW_COUNT 0
#define CMX_SWPWM_CHAN_COUNT 4
#define CMX_SWPWMTIMER_CHAN_COUNT 0
#define CMX_USBUART_CHAN_COUNT 1
#define CMX_USBUART_SHARED_CHAN_COUNT 0

// Driver Parameter Block externs
extern CMX_CSDRSLIDEBASE_ParameterBlock const pse_Slide_Y_CSD_Slider00;
extern CMX_CSDRSLIDEBASE_ParameterBlock const pse_Slide_Y_CSD_Slider01;
extern CMX_CSDRSLIDEBASE_ParameterBlock const pse_Slide_X_CSD_Slider00;
extern CMX_CSDRSLIDEBASE_ParameterBlock const pse_Slide_X_CSD_Slider01;
extern CMX_CSDRSLIDEBASE_ParameterBlock const pse_Slide_X_CSD_Slider02;
extern CMX_CSDRSLIDEBASE_ParameterBlock const pse_Slide_X_CSD_Slider03;
extern CMX_CSDRSLIDEBASE_ParameterBlock const pse_Slide_X_CSD_Slider04;
extern CMX_CSDRSLIDEBASE_ParameterBlock const pse_Slide_Y_CSD_Slider02;
extern CMX_CSDRSLIDEBASE_ParameterBlock const pse_Slide_Y_CSD_Slider03;
extern CMX_CSDRSLIDEBASE_ParameterBlock const pse_Slide_Y_CSD_Slider04;
extern CMX_CSDRPROPERTY_ParameterBlock const pse_CSDProp;
extern CMX_I2C_ParameterBlock const pse_I2C_Slave;
extern CMX_VarFreqDutyPWM_ParameterBlock const pse_PWM;
extern CMX_SWINTCONTLED_ParameterBlock const pse_LED_XP;
extern CMX_SWINTCONTLED_ParameterBlock const pse_LED_XM;
extern CMX_SWINTCONTLED_ParameterBlock const pse_LED_YP;
extern CMX_SWINTCONTLED_ParameterBlock const pse_LED_YM;
extern CMX_USBUART_ParameterBlock const pse_USB_COM;
extern CMX_CSDRSLIDER_ParameterBlock const pse_Slide_X;
extern CMX_CSDRSLIDER_ParameterBlock const pse_Slide_Y;
