//*****************************************************************************
//*****************************************************************************
//  FILENAME:  CMX_CSDRSLIDEBASE.h
//  Version: 1.0, Updated on 2008/6/23 at 14:6:39
//  
//
//  DESCRIPTION:  Header file for CSDRSLIDEBASE driver 
//-----------------------------------------------------------------------------
//      Copyright (c) Cypress MicroSystems 2006. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************
#ifndef CSDRSLIDEBASE_INCLUDE
#define CSDRSLIDEBASE_INCLUDE

#include <M8C.h>
#define CSDRSLIDEBASE_pse_Slide_Y_CSD_Slider00_ORDINAL  0
#define CSDRSLIDEBASE_pse_Slide_Y_CSD_Slider01_ORDINAL  1
#define CSDRSLIDEBASE_pse_Slide_X_CSD_Slider00_ORDINAL  2
#define CSDRSLIDEBASE_pse_Slide_X_CSD_Slider01_ORDINAL  3
#define CSDRSLIDEBASE_pse_Slide_X_CSD_Slider02_ORDINAL  4
#define CSDRSLIDEBASE_pse_Slide_X_CSD_Slider03_ORDINAL  5
#define CSDRSLIDEBASE_pse_Slide_X_CSD_Slider04_ORDINAL  6
#define CSDRSLIDEBASE_pse_Slide_Y_CSD_Slider02_ORDINAL  7
#define CSDRSLIDEBASE_pse_Slide_Y_CSD_Slider03_ORDINAL  8
#define CSDRSLIDEBASE_pse_Slide_Y_CSD_Slider04_ORDINAL  9
#define CMX_CSDRSLIDEBASE_COUNT 10

////////////////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////////////////
// parameter block
typedef struct
{
	BYTE bInstanceID;
	BYTE bIndex;
	BYTE bSnsGroup;
}CMX_CSDRSLIDEBASE_ParameterBlock;

//-------------------------------------------------
// Prototypes of the CSDRSLIDEBASE API.
//-------------------------------------------------

#endif
