//*****************************************************************************
//*****************************************************************************
//  FILENAME:  CMX_SWINTCONTLED.h
//  Version: 1.1, Updated on 2008/6/23 at 14:9:22
//  
//
//  DESCRIPTION:  Header file for the SWINTCONTLED Driver
//-----------------------------------------------------------------------------
//      Copyright (c) Cypress MicroSystems 2006. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************

#ifndef CMX_SWINTCONTLED_include
#define CMX_SWINTCONTLED_include

#include <M8C.h>

#define SWINTCONTLED_pse_LED_XP_ORDINAL  0
#define SWINTCONTLED_pse_LED_XM_ORDINAL  1
#define SWINTCONTLED_pse_LED_YP_ORDINAL  2
#define SWINTCONTLED_pse_LED_YM_ORDINAL  3
#define CMX_SWINTCONTLED_COUNT 4
////////////////////////////////////////////////////////////////////////////////////////////

// parameter block
typedef struct
{	
	BYTE Mode;
    BYTE SWINTCONTLED_ChannelID;  // Instance ID

}CMX_SWINTCONTLED_ParameterBlock;

// Function Prototypes
void CMX_SWINTCONTLED_SetValue(const CMX_SWINTCONTLED_ParameterBlock * thisBLK, BYTE bSWINTCONTLEDDutyCycle);
void CMX_SWINTCONTLED_Instantiate(const CMX_SWINTCONTLED_ParameterBlock * thisBLK);

#endif
