//*****************************************************************************
//*****************************************************************************
//  FILENAME:  CMX_VarFreqDutyPWM.h
//  Version: 1.1, Updated on 2008/6/23 at 14:10:5 
//  
//
//  DESCRIPTION:  Header file for the VarFreqDutyPWM Driver
//-----------------------------------------------------------------------------
//      Copyright (c) Cypress MicroSystems 2006. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************

#ifndef CMX_VARFREQDUTYPWM_include
#define CMX_VARFREQDUTYPWM_include

#include <M8C.h>


////////////////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////////////////
// parameter block
typedef struct
{
    BYTE VarFreqDutyPWM_ID; // Instance ID
    BYTE VarFreqDutyPWM_ChannelID;
    BYTE VarFreqDutyPWM_Polarity;
}CMX_VarFreqDutyPWM_ParameterBlock;
/////////////////////////////

// Function prototypes
void CMX_VarFreqDutyPWM_SetValue(const CMX_VarFreqDutyPWM_ParameterBlock * thisBLK , int iPercentDutyFreq);
void CMX_VarFreqDutyPWM_Instantiate(const CMX_VarFreqDutyPWM_ParameterBlock * thisBLK );


#endif
