//
// SystemVars.h
//

#ifndef SYSTEM_VARS_H
#define SYSTEM_VARS_H

#include "CMXSystem.h"
#include "driverdecl.h"

void UpdateVariables( void);

typedef struct
{

	struct
	{
		BYTE pse_Slide_X_Position;
		BYTE pse_Slide_Y_Position;
		INT pse_ScaleDetect;
		int pse_PWM;
		BYTE pse_LED_XP;
		BYTE pse_LED_XM;
		BYTE pse_LED_YP;
		BYTE pse_LED_YM;
		int pse_Slide_X_Tuning0_Difference;
		int pse_Slide_X_Tuning1_Difference;
		int pse_Slide_X_Tuning2_Difference;
		int pse_Slide_X_Tuning3_Difference;
		int pse_Slide_X_Tuning4_Difference;
		int pse_Slide_Y_Tuning0_Difference;
		int pse_Slide_Y_Tuning1_Difference;
		int pse_Slide_Y_Tuning2_Difference;
		int pse_Slide_Y_Tuning3_Difference;
		int pse_Slide_Y_Tuning4_Difference;

	} ReadOnlyVars;
} SYSTEM_VARS_STRUC;

#define SYSTEM_VARIABLE_COUNT 30 			// Total size of all variables. ( 2 x ints + 1 x BYTEs )
#define SYSTEM_RW_VARIABLE_COUNT 0	// Total size of the read/write variables. ( 2 x ints + 1 x BYTEs )

#endif
