//
//  SimTransferFunction.js
//

// variable declarations
var g_LED_XM;
var g_LED_XP;
var g_LED_YM;
var g_LED_YP;
var g_PWM;
var g_ScaleDetect;
var g_Slide_X_Position;
var g_Slide_X_Tuning0_Difference;
var g_Slide_X_Tuning1_Difference;
var g_Slide_X_Tuning2_Difference;
var g_Slide_X_Tuning3_Difference;
var g_Slide_X_Tuning4_Difference;
var g_Slide_Y_Position;
var g_Slide_Y_Tuning0_Difference;
var g_Slide_Y_Tuning1_Difference;
var g_Slide_Y_Tuning2_Difference;
var g_Slide_Y_Tuning3_Difference;
var g_Slide_Y_Tuning4_Difference;

// variable ID's
var g_ID_LED_XM = 0;
var g_ID_LED_XP = 1;
var g_ID_LED_YM = 2;
var g_ID_LED_YP = 3;
var g_ID_PWM = 4;
var g_ID_ScaleDetect = 5;
var g_ID_Slide_X_Position = 6;
var g_ID_Slide_X_Tuning0_Difference = 7;
var g_ID_Slide_X_Tuning1_Difference = 8;
var g_ID_Slide_X_Tuning2_Difference = 9;
var g_ID_Slide_X_Tuning3_Difference = 10;
var g_ID_Slide_X_Tuning4_Difference = 11;
var g_ID_Slide_Y_Position = 12;
var g_ID_Slide_Y_Tuning0_Difference = 13;
var g_ID_Slide_Y_Tuning1_Difference = 14;
var g_ID_Slide_Y_Tuning2_Difference = 15;
var g_ID_Slide_Y_Tuning3_Difference = 16;
var g_ID_Slide_Y_Tuning4_Difference = 17;

// function parameter ID's


// function parameter defines


// function output states
// LED_XM output state ID 
var	g_ID_LED_XM_Off = 0;
var	g_ID_LED_XM_Low = 1;
var	g_ID_LED_XM_Medium = 2;
var	g_ID_LED_XM_High = 3;
var	g_ID_LED_XM_UNASSIGNED = 255;

// LED_XP output state ID 
var	g_ID_LED_XP_Off = 0;
var	g_ID_LED_XP_Low = 1;
var	g_ID_LED_XP_Medium = 2;
var	g_ID_LED_XP_High = 3;
var	g_ID_LED_XP_UNASSIGNED = 255;

// LED_YM output state ID 
var	g_ID_LED_YM_Off = 0;
var	g_ID_LED_YM_Low = 1;
var	g_ID_LED_YM_Medium = 2;
var	g_ID_LED_YM_High = 3;
var	g_ID_LED_YM_UNASSIGNED = 255;

// LED_YP output state ID 
var	g_ID_LED_YP_Off = 0;
var	g_ID_LED_YP_Low = 1;
var	g_ID_LED_YP_Medium = 2;
var	g_ID_LED_YP_High = 3;
var	g_ID_LED_YP_UNASSIGNED = 255;

// ScaleDetect output state ID 
var	g_ID_ScaleDetect_UNASSIGNED = 255;

// Slide_X_Position output state ID 
var	g_ID_Slide_X_Position_UNASSIGNED = 255;

// Slide_X_Tuning0_Difference output state ID 
var	g_ID_Slide_X_Tuning0_Difference_UNASSIGNED = 255;

// Slide_X_Tuning1_Difference output state ID 
var	g_ID_Slide_X_Tuning1_Difference_UNASSIGNED = 255;

// Slide_X_Tuning2_Difference output state ID 
var	g_ID_Slide_X_Tuning2_Difference_UNASSIGNED = 255;

// Slide_X_Tuning3_Difference output state ID 
var	g_ID_Slide_X_Tuning3_Difference_UNASSIGNED = 255;

// Slide_X_Tuning4_Difference output state ID 
var	g_ID_Slide_X_Tuning4_Difference_UNASSIGNED = 255;

// Slide_Y_Position output state ID 
var	g_ID_Slide_Y_Position_UNASSIGNED = 255;

// Slide_Y_Tuning0_Difference output state ID 
var	g_ID_Slide_Y_Tuning0_Difference_UNASSIGNED = 255;

// Slide_Y_Tuning1_Difference output state ID 
var	g_ID_Slide_Y_Tuning1_Difference_UNASSIGNED = 255;

// Slide_Y_Tuning2_Difference output state ID 
var	g_ID_Slide_Y_Tuning2_Difference_UNASSIGNED = 255;

// Slide_Y_Tuning3_Difference output state ID 
var	g_ID_Slide_Y_Tuning3_Difference_UNASSIGNED = 255;

// Slide_Y_Tuning4_Difference output state ID 
var	g_ID_Slide_Y_Tuning4_Difference_UNASSIGNED = 255;

// PWM output state ID 
var	g_ID_PWM_UNASSIGNED = 255;


// variable output state declarations
// LED_XM output state declarations
var	g_LED_XM__Off;
var	g_LED_XM__Low;
var	g_LED_XM__Medium;
var	g_LED_XM__High;
var	g_LED_XM__UNASSIGNED;

// LED_XP output state declarations
var	g_LED_XP__Off;
var	g_LED_XP__Low;
var	g_LED_XP__Medium;
var	g_LED_XP__High;
var	g_LED_XP__UNASSIGNED;

// LED_YM output state declarations
var	g_LED_YM__Off;
var	g_LED_YM__Low;
var	g_LED_YM__Medium;
var	g_LED_YM__High;
var	g_LED_YM__UNASSIGNED;

// LED_YP output state declarations
var	g_LED_YP__Off;
var	g_LED_YP__Low;
var	g_LED_YP__Medium;
var	g_LED_YP__High;
var	g_LED_YP__UNASSIGNED;

// ScaleDetect output state declarations
var	g_ScaleDetect__UNASSIGNED;

// Slide_X_Position output state declarations
var	g_Slide_X_Position__UNASSIGNED;

// Slide_X_Tuning0_Difference output state declarations
var	g_Slide_X_Tuning0_Difference__UNASSIGNED;

// Slide_X_Tuning1_Difference output state declarations
var	g_Slide_X_Tuning1_Difference__UNASSIGNED;

// Slide_X_Tuning2_Difference output state declarations
var	g_Slide_X_Tuning2_Difference__UNASSIGNED;

// Slide_X_Tuning3_Difference output state declarations
var	g_Slide_X_Tuning3_Difference__UNASSIGNED;

// Slide_X_Tuning4_Difference output state declarations
var	g_Slide_X_Tuning4_Difference__UNASSIGNED;

// Slide_Y_Position output state declarations
var	g_Slide_Y_Position__UNASSIGNED;

// Slide_Y_Tuning0_Difference output state declarations
var	g_Slide_Y_Tuning0_Difference__UNASSIGNED;

// Slide_Y_Tuning1_Difference output state declarations
var	g_Slide_Y_Tuning1_Difference__UNASSIGNED;

// Slide_Y_Tuning2_Difference output state declarations
var	g_Slide_Y_Tuning2_Difference__UNASSIGNED;

// Slide_Y_Tuning3_Difference output state declarations
var	g_Slide_Y_Tuning3_Difference__UNASSIGNED;

// Slide_Y_Tuning4_Difference output state declarations
var	g_Slide_Y_Tuning4_Difference__UNASSIGNED;

// PWM output state declarations
var	g_PWM__UNASSIGNED;


// function parameter declarations


var g_FunctionParams = new Array();

// current value array
var g_CurrentValues = new Array();

function TransferFunction()
{
	// load values from globals
	var ioInfo;
	ioInfo = GetIOInfoFromInstanceName("LED_XM");
	if (ioInfo != null)
	{
		g_LED_XM = parseInt(ioInfo.sValue);
	}
	ioInfo = GetIOInfoFromInstanceName("LED_XP");
	if (ioInfo != null)
	{
		g_LED_XP = parseInt(ioInfo.sValue);
	}
	ioInfo = GetIOInfoFromInstanceName("LED_YM");
	if (ioInfo != null)
	{
		g_LED_YM = parseInt(ioInfo.sValue);
	}
	ioInfo = GetIOInfoFromInstanceName("LED_YP");
	if (ioInfo != null)
	{
		g_LED_YP = parseInt(ioInfo.sValue);
	}
	ioInfo = GetIOInfoFromInstanceName("PWM");
	if (ioInfo != null)
	{
		g_PWM = parseInt(ioInfo.sValue);
	}
	ioInfo = GetIOInfoFromInstanceName("ScaleDetect");
	if (ioInfo != null)
	{
		g_ScaleDetect = parseInt(ioInfo.sValue);
	}
	ioInfo = GetIOInfoFromInstanceName("Slide_X_Position");
	if (ioInfo != null)
	{
		g_Slide_X_Position = parseInt(ioInfo.sValue);
	}
	ioInfo = GetIOInfoFromInstanceName("Slide_X_Tuning0_Difference");
	if (ioInfo != null)
	{
		g_Slide_X_Tuning0_Difference = parseInt(ioInfo.sValue);
	}
	ioInfo = GetIOInfoFromInstanceName("Slide_X_Tuning1_Difference");
	if (ioInfo != null)
	{
		g_Slide_X_Tuning1_Difference = parseInt(ioInfo.sValue);
	}
	ioInfo = GetIOInfoFromInstanceName("Slide_X_Tuning2_Difference");
	if (ioInfo != null)
	{
		g_Slide_X_Tuning2_Difference = parseInt(ioInfo.sValue);
	}
	ioInfo = GetIOInfoFromInstanceName("Slide_X_Tuning3_Difference");
	if (ioInfo != null)
	{
		g_Slide_X_Tuning3_Difference = parseInt(ioInfo.sValue);
	}
	ioInfo = GetIOInfoFromInstanceName("Slide_X_Tuning4_Difference");
	if (ioInfo != null)
	{
		g_Slide_X_Tuning4_Difference = parseInt(ioInfo.sValue);
	}
	ioInfo = GetIOInfoFromInstanceName("Slide_Y_Position");
	if (ioInfo != null)
	{
		g_Slide_Y_Position = parseInt(ioInfo.sValue);
	}
	ioInfo = GetIOInfoFromInstanceName("Slide_Y_Tuning0_Difference");
	if (ioInfo != null)
	{
		g_Slide_Y_Tuning0_Difference = parseInt(ioInfo.sValue);
	}
	ioInfo = GetIOInfoFromInstanceName("Slide_Y_Tuning1_Difference");
	if (ioInfo != null)
	{
		g_Slide_Y_Tuning1_Difference = parseInt(ioInfo.sValue);
	}
	ioInfo = GetIOInfoFromInstanceName("Slide_Y_Tuning2_Difference");
	if (ioInfo != null)
	{
		g_Slide_Y_Tuning2_Difference = parseInt(ioInfo.sValue);
	}
	ioInfo = GetIOInfoFromInstanceName("Slide_Y_Tuning3_Difference");
	if (ioInfo != null)
	{
		g_Slide_Y_Tuning3_Difference = parseInt(ioInfo.sValue);
	}
	ioInfo = GetIOInfoFromInstanceName("Slide_Y_Tuning4_Difference");
	if (ioInfo != null)
	{
		g_Slide_Y_Tuning4_Difference = parseInt(ioInfo.sValue);
	}

	// update current value array
	g_CurrentValues[g_ID_LED_XM] = g_LED_XM;
	g_CurrentValues[g_ID_LED_XP] = g_LED_XP;
	g_CurrentValues[g_ID_LED_YM] = g_LED_YM;
	g_CurrentValues[g_ID_LED_YP] = g_LED_YP;
	g_CurrentValues[g_ID_PWM] = g_PWM;
	g_CurrentValues[g_ID_ScaleDetect] = g_ScaleDetect;
	g_CurrentValues[g_ID_Slide_X_Position] = g_Slide_X_Position;
	g_CurrentValues[g_ID_Slide_X_Tuning0_Difference] = g_Slide_X_Tuning0_Difference;
	g_CurrentValues[g_ID_Slide_X_Tuning1_Difference] = g_Slide_X_Tuning1_Difference;
	g_CurrentValues[g_ID_Slide_X_Tuning2_Difference] = g_Slide_X_Tuning2_Difference;
	g_CurrentValues[g_ID_Slide_X_Tuning3_Difference] = g_Slide_X_Tuning3_Difference;
	g_CurrentValues[g_ID_Slide_X_Tuning4_Difference] = g_Slide_X_Tuning4_Difference;
	g_CurrentValues[g_ID_Slide_Y_Position] = g_Slide_Y_Position;
	g_CurrentValues[g_ID_Slide_Y_Tuning0_Difference] = g_Slide_Y_Tuning0_Difference;
	g_CurrentValues[g_ID_Slide_Y_Tuning1_Difference] = g_Slide_Y_Tuning1_Difference;
	g_CurrentValues[g_ID_Slide_Y_Tuning2_Difference] = g_Slide_Y_Tuning2_Difference;
	g_CurrentValues[g_ID_Slide_Y_Tuning3_Difference] = g_Slide_Y_Tuning3_Difference;
	g_CurrentValues[g_ID_Slide_Y_Tuning4_Difference] = g_Slide_Y_Tuning4_Difference;

	// call transfer functions
	Slide_X_Position_TransferFunction();
	Slide_Y_Position_TransferFunction();
	ScaleDetect_TransferFunction();
	Slide_Y_Tuning4_Difference_TransferFunction();
	Slide_Y_Tuning3_Difference_TransferFunction();
	Slide_Y_Tuning2_Difference_TransferFunction();
	Slide_Y_Tuning1_Difference_TransferFunction();
	Slide_Y_Tuning0_Difference_TransferFunction();
	Slide_X_Tuning4_Difference_TransferFunction();
	Slide_X_Tuning3_Difference_TransferFunction();
	Slide_X_Tuning2_Difference_TransferFunction();
	Slide_X_Tuning1_Difference_TransferFunction();
	Slide_X_Tuning0_Difference_TransferFunction();
	PWM_TransferFunction();
	LED_YP_TransferFunction();
	LED_YM_TransferFunction();
	LED_XP_TransferFunction();
	LED_XM_TransferFunction();

	// set values in globals
	SetIOInfoValueFromInstanceName("LED_XM", g_LED_XM);
	SetIOInfoValueFromInstanceName("LED_XP", g_LED_XP);
	SetIOInfoValueFromInstanceName("LED_YM", g_LED_YM);
	SetIOInfoValueFromInstanceName("LED_YP", g_LED_YP);
	SetIOInfoValueFromInstanceName("PWM", g_PWM);
	SetIOInfoValueFromInstanceName("ScaleDetect", g_ScaleDetect);
	SetIOInfoValueFromInstanceName("Slide_X_Position", g_Slide_X_Position);
	SetIOInfoValueFromInstanceName("Slide_X_Tuning0_Difference", g_Slide_X_Tuning0_Difference);
	SetIOInfoValueFromInstanceName("Slide_X_Tuning1_Difference", g_Slide_X_Tuning1_Difference);
	SetIOInfoValueFromInstanceName("Slide_X_Tuning2_Difference", g_Slide_X_Tuning2_Difference);
	SetIOInfoValueFromInstanceName("Slide_X_Tuning3_Difference", g_Slide_X_Tuning3_Difference);
	SetIOInfoValueFromInstanceName("Slide_X_Tuning4_Difference", g_Slide_X_Tuning4_Difference);
	SetIOInfoValueFromInstanceName("Slide_Y_Position", g_Slide_Y_Position);
	SetIOInfoValueFromInstanceName("Slide_Y_Tuning0_Difference", g_Slide_Y_Tuning0_Difference);
	SetIOInfoValueFromInstanceName("Slide_Y_Tuning1_Difference", g_Slide_Y_Tuning1_Difference);
	SetIOInfoValueFromInstanceName("Slide_Y_Tuning2_Difference", g_Slide_Y_Tuning2_Difference);
	SetIOInfoValueFromInstanceName("Slide_Y_Tuning3_Difference", g_Slide_Y_Tuning3_Difference);
	SetIOInfoValueFromInstanceName("Slide_Y_Tuning4_Difference", g_Slide_Y_Tuning4_Difference);

}

function LED_XM_TransferFunction()
{
		if (1)
	{
		g_LED_XM = 100- g_Slide_X_Position;
	}


	g_CurrentValues[g_ID_LED_XM] = g_LED_XM; 

}

function LED_XP_TransferFunction()
{
		if (1)
	{
		g_LED_XP = g_Slide_X_Position;
	}


	g_CurrentValues[g_ID_LED_XP] = g_LED_XP; 

}

function LED_YM_TransferFunction()
{
		if (1)
	{
		g_LED_YM = 100 - g_Slide_Y_Position;
	}


	g_CurrentValues[g_ID_LED_YM] = g_LED_YM; 

}

function LED_YP_TransferFunction()
{
		if (1)
	{
		g_LED_YP = g_Slide_Y_Position;
	}


	g_CurrentValues[g_ID_LED_YP] = g_LED_YP; 

}

function PWM_TransferFunction()
{
		if (1)
	{
		g_PWM = g_ScaleDetect  * 256 + g_Slide_Y_Position;
	}


	g_CurrentValues[g_ID_PWM] = g_PWM; 

}

function ScaleDetect_TransferFunction()
{
		if (g_Slide_X_Position < 13)
	{
		g_ScaleDetect = 59;
	}
	else if (g_Slide_X_Position < 25)
	{
		g_ScaleDetect = 67;
	}
	else if (g_Slide_X_Position < 38)
	{
		g_ScaleDetect = 75;
	}
	else if (g_Slide_X_Position < 50)
	{
		g_ScaleDetect = 79;
	}
	else if (g_Slide_X_Position < 63)
	{
		g_ScaleDetect = 89;
	}
	else if (g_Slide_X_Position < 75)
	{
		g_ScaleDetect = 100;
	}
	else if (g_Slide_X_Position < 88)
	{
		g_ScaleDetect = 112;
	}
	else if (1)
	{
		g_ScaleDetect = 119;
	}


	g_CurrentValues[g_ID_ScaleDetect] = g_ScaleDetect; 

}

function Slide_X_Position_TransferFunction()
{
	


}

function Slide_X_Tuning0_Difference_TransferFunction()
{
	


}

function Slide_X_Tuning1_Difference_TransferFunction()
{
	


}

function Slide_X_Tuning2_Difference_TransferFunction()
{
	


}

function Slide_X_Tuning3_Difference_TransferFunction()
{
	


}

function Slide_X_Tuning4_Difference_TransferFunction()
{
	


}

function Slide_Y_Position_TransferFunction()
{
	


}

function Slide_Y_Tuning0_Difference_TransferFunction()
{
	


}

function Slide_Y_Tuning1_Difference_TransferFunction()
{
	


}

function Slide_Y_Tuning2_Difference_TransferFunction()
{
	


}

function Slide_Y_Tuning3_Difference_TransferFunction()
{
	


}

function Slide_Y_Tuning4_Difference_TransferFunction()
{
	


}


function InitTransferFunctionGlobals()
{


	// variable output state initializations
	// LED_XM output state initializations
	g_LED_XM__Off = 0;
	g_LED_XM__Low = 33;
	g_LED_XM__Medium = 67;
	g_LED_XM__High = 100;
	g_LED_XM__UNASSIGNED = 0;

	// LED_XP output state initializations
	g_LED_XP__Off = 0;
	g_LED_XP__Low = 33;
	g_LED_XP__Medium = 67;
	g_LED_XP__High = 100;
	g_LED_XP__UNASSIGNED = 0;

	// LED_YM output state initializations
	g_LED_YM__Off = 0;
	g_LED_YM__Low = 33;
	g_LED_YM__Medium = 67;
	g_LED_YM__High = 100;
	g_LED_YM__UNASSIGNED = 0;

	// LED_YP output state initializations
	g_LED_YP__Off = 0;
	g_LED_YP__Low = 33;
	g_LED_YP__Medium = 67;
	g_LED_YP__High = 100;
	g_LED_YP__UNASSIGNED = 0;

	// ScaleDetect output state initializations
	g_ScaleDetect__UNASSIGNED = 0;

	// Slide_X_Position output state initializations
	g_Slide_X_Position__UNASSIGNED = 0;

	// Slide_X_Tuning0_Difference output state initializations
	g_Slide_X_Tuning0_Difference__UNASSIGNED = 0;

	// Slide_X_Tuning1_Difference output state initializations
	g_Slide_X_Tuning1_Difference__UNASSIGNED = 0;

	// Slide_X_Tuning2_Difference output state initializations
	g_Slide_X_Tuning2_Difference__UNASSIGNED = 0;

	// Slide_X_Tuning3_Difference output state initializations
	g_Slide_X_Tuning3_Difference__UNASSIGNED = 0;

	// Slide_X_Tuning4_Difference output state initializations
	g_Slide_X_Tuning4_Difference__UNASSIGNED = 0;

	// Slide_Y_Position output state initializations
	g_Slide_Y_Position__UNASSIGNED = 0;

	// Slide_Y_Tuning0_Difference output state initializations
	g_Slide_Y_Tuning0_Difference__UNASSIGNED = 0;

	// Slide_Y_Tuning1_Difference output state initializations
	g_Slide_Y_Tuning1_Difference__UNASSIGNED = 0;

	// Slide_Y_Tuning2_Difference output state initializations
	g_Slide_Y_Tuning2_Difference__UNASSIGNED = 0;

	// Slide_Y_Tuning3_Difference output state initializations
	g_Slide_Y_Tuning3_Difference__UNASSIGNED = 0;

	// Slide_Y_Tuning4_Difference output state initializations
	g_Slide_Y_Tuning4_Difference__UNASSIGNED = 0;

	// PWM output state initializations
	g_PWM__UNASSIGNED = 0;


	// variable initialization
	// initialize LED_XM globals
    ioInfo = GetIOInfoFromInstanceName("LED_XM");
    if (ioInfo != null)
    {
		if ((ioInfo.sValue != null) && (ioInfo.sValue != ""))
		{
			g_LED_XM = parseInt(ioInfo.sValue);
		}
		else
		{
			g_LED_XM = 100;
		}
    }
	else
	{
		g_LED_XM = 100;
	}
	// initialize LED_XP globals
    ioInfo = GetIOInfoFromInstanceName("LED_XP");
    if (ioInfo != null)
    {
		if ((ioInfo.sValue != null) && (ioInfo.sValue != ""))
		{
			g_LED_XP = parseInt(ioInfo.sValue);
		}
		else
		{
			g_LED_XP = 0;
		}
    }
	else
	{
		g_LED_XP = 0;
	}
	// initialize LED_YM globals
    ioInfo = GetIOInfoFromInstanceName("LED_YM");
    if (ioInfo != null)
    {
		if ((ioInfo.sValue != null) && (ioInfo.sValue != ""))
		{
			g_LED_YM = parseInt(ioInfo.sValue);
		}
		else
		{
			g_LED_YM = 100;
		}
    }
	else
	{
		g_LED_YM = 100;
	}
	// initialize LED_YP globals
    ioInfo = GetIOInfoFromInstanceName("LED_YP");
    if (ioInfo != null)
    {
		if ((ioInfo.sValue != null) && (ioInfo.sValue != ""))
		{
			g_LED_YP = parseInt(ioInfo.sValue);
		}
		else
		{
			g_LED_YP = 0;
		}
    }
	else
	{
		g_LED_YP = 0;
	}
	// initialize PWM globals
    ioInfo = GetIOInfoFromInstanceName("PWM");
    if (ioInfo != null)
    {
		if ((ioInfo.sValue != null) && (ioInfo.sValue != ""))
		{
			g_PWM = parseInt(ioInfo.sValue);
		}
		else
		{
			g_PWM = 0;
		}
    }
	else
	{
		g_PWM = 0;
	}
	// initialize ScaleDetect globals
    ioInfo = GetIOInfoFromInstanceName("ScaleDetect");
    if (ioInfo != null)
    {
		if ((ioInfo.sValue != null) && (ioInfo.sValue != ""))
		{
			g_ScaleDetect = parseInt(ioInfo.sValue);
		}
		else
		{
			g_ScaleDetect = 0;
		}
    }
	else
	{
		g_ScaleDetect = 0;
	}
	// initialize Slide_X_Position globals
    ioInfo = GetIOInfoFromInstanceName("Slide_X_Position");
    if (ioInfo != null)
    {
		if ((ioInfo.sValue != null) && (ioInfo.sValue != ""))
		{
			g_Slide_X_Position = parseInt(ioInfo.sValue);
		}
		else
		{
			g_Slide_X_Position = 0;
		}
    }
	else
	{
		g_Slide_X_Position = 0;
	}
	// initialize Slide_X_Tuning0_Difference globals
    ioInfo = GetIOInfoFromInstanceName("Slide_X_Tuning0_Difference");
    if (ioInfo != null)
    {
		if ((ioInfo.sValue != null) && (ioInfo.sValue != ""))
		{
			g_Slide_X_Tuning0_Difference = parseInt(ioInfo.sValue);
		}
		else
		{
			g_Slide_X_Tuning0_Difference = 0;
		}
    }
	else
	{
		g_Slide_X_Tuning0_Difference = 0;
	}
	// initialize Slide_X_Tuning1_Difference globals
    ioInfo = GetIOInfoFromInstanceName("Slide_X_Tuning1_Difference");
    if (ioInfo != null)
    {
		if ((ioInfo.sValue != null) && (ioInfo.sValue != ""))
		{
			g_Slide_X_Tuning1_Difference = parseInt(ioInfo.sValue);
		}
		else
		{
			g_Slide_X_Tuning1_Difference = 0;
		}
    }
	else
	{
		g_Slide_X_Tuning1_Difference = 0;
	}
	// initialize Slide_X_Tuning2_Difference globals
    ioInfo = GetIOInfoFromInstanceName("Slide_X_Tuning2_Difference");
    if (ioInfo != null)
    {
		if ((ioInfo.sValue != null) && (ioInfo.sValue != ""))
		{
			g_Slide_X_Tuning2_Difference = parseInt(ioInfo.sValue);
		}
		else
		{
			g_Slide_X_Tuning2_Difference = 0;
		}
    }
	else
	{
		g_Slide_X_Tuning2_Difference = 0;
	}
	// initialize Slide_X_Tuning3_Difference globals
    ioInfo = GetIOInfoFromInstanceName("Slide_X_Tuning3_Difference");
    if (ioInfo != null)
    {
		if ((ioInfo.sValue != null) && (ioInfo.sValue != ""))
		{
			g_Slide_X_Tuning3_Difference = parseInt(ioInfo.sValue);
		}
		else
		{
			g_Slide_X_Tuning3_Difference = 0;
		}
    }
	else
	{
		g_Slide_X_Tuning3_Difference = 0;
	}
	// initialize Slide_X_Tuning4_Difference globals
    ioInfo = GetIOInfoFromInstanceName("Slide_X_Tuning4_Difference");
    if (ioInfo != null)
    {
		if ((ioInfo.sValue != null) && (ioInfo.sValue != ""))
		{
			g_Slide_X_Tuning4_Difference = parseInt(ioInfo.sValue);
		}
		else
		{
			g_Slide_X_Tuning4_Difference = 0;
		}
    }
	else
	{
		g_Slide_X_Tuning4_Difference = 0;
	}
	// initialize Slide_Y_Position globals
    ioInfo = GetIOInfoFromInstanceName("Slide_Y_Position");
    if (ioInfo != null)
    {
		if ((ioInfo.sValue != null) && (ioInfo.sValue != ""))
		{
			g_Slide_Y_Position = parseInt(ioInfo.sValue);
		}
		else
		{
			g_Slide_Y_Position = 0;
		}
    }
	else
	{
		g_Slide_Y_Position = 0;
	}
	// initialize Slide_Y_Tuning0_Difference globals
    ioInfo = GetIOInfoFromInstanceName("Slide_Y_Tuning0_Difference");
    if (ioInfo != null)
    {
		if ((ioInfo.sValue != null) && (ioInfo.sValue != ""))
		{
			g_Slide_Y_Tuning0_Difference = parseInt(ioInfo.sValue);
		}
		else
		{
			g_Slide_Y_Tuning0_Difference = 0;
		}
    }
	else
	{
		g_Slide_Y_Tuning0_Difference = 0;
	}
	// initialize Slide_Y_Tuning1_Difference globals
    ioInfo = GetIOInfoFromInstanceName("Slide_Y_Tuning1_Difference");
    if (ioInfo != null)
    {
		if ((ioInfo.sValue != null) && (ioInfo.sValue != ""))
		{
			g_Slide_Y_Tuning1_Difference = parseInt(ioInfo.sValue);
		}
		else
		{
			g_Slide_Y_Tuning1_Difference = 0;
		}
    }
	else
	{
		g_Slide_Y_Tuning1_Difference = 0;
	}
	// initialize Slide_Y_Tuning2_Difference globals
    ioInfo = GetIOInfoFromInstanceName("Slide_Y_Tuning2_Difference");
    if (ioInfo != null)
    {
		if ((ioInfo.sValue != null) && (ioInfo.sValue != ""))
		{
			g_Slide_Y_Tuning2_Difference = parseInt(ioInfo.sValue);
		}
		else
		{
			g_Slide_Y_Tuning2_Difference = 0;
		}
    }
	else
	{
		g_Slide_Y_Tuning2_Difference = 0;
	}
	// initialize Slide_Y_Tuning3_Difference globals
    ioInfo = GetIOInfoFromInstanceName("Slide_Y_Tuning3_Difference");
    if (ioInfo != null)
    {
		if ((ioInfo.sValue != null) && (ioInfo.sValue != ""))
		{
			g_Slide_Y_Tuning3_Difference = parseInt(ioInfo.sValue);
		}
		else
		{
			g_Slide_Y_Tuning3_Difference = 0;
		}
    }
	else
	{
		g_Slide_Y_Tuning3_Difference = 0;
	}
	// initialize Slide_Y_Tuning4_Difference globals
    ioInfo = GetIOInfoFromInstanceName("Slide_Y_Tuning4_Difference");
    if (ioInfo != null)
    {
		if ((ioInfo.sValue != null) && (ioInfo.sValue != ""))
		{
			g_Slide_Y_Tuning4_Difference = parseInt(ioInfo.sValue);
		}
		else
		{
			g_Slide_Y_Tuning4_Difference = 0;
		}
    }
	else
	{
		g_Slide_Y_Tuning4_Difference = 0;
	}

}

InitTransferFunctionGlobals();




function UpdateSimValues()
{
	// set values in globals
	SetIOInfoValueFromInstanceName("LED_XM", g_LED_XM);
	SetIOInfoValueFromInstanceName("LED_XP", g_LED_XP);
	SetIOInfoValueFromInstanceName("LED_YM", g_LED_YM);
	SetIOInfoValueFromInstanceName("LED_YP", g_LED_YP);
	SetIOInfoValueFromInstanceName("PWM", g_PWM);
	SetIOInfoValueFromInstanceName("ScaleDetect", g_ScaleDetect);
	SetIOInfoValueFromInstanceName("Slide_X_Position", g_Slide_X_Position);
	SetIOInfoValueFromInstanceName("Slide_X_Tuning0_Difference", g_Slide_X_Tuning0_Difference);
	SetIOInfoValueFromInstanceName("Slide_X_Tuning1_Difference", g_Slide_X_Tuning1_Difference);
	SetIOInfoValueFromInstanceName("Slide_X_Tuning2_Difference", g_Slide_X_Tuning2_Difference);
	SetIOInfoValueFromInstanceName("Slide_X_Tuning3_Difference", g_Slide_X_Tuning3_Difference);
	SetIOInfoValueFromInstanceName("Slide_X_Tuning4_Difference", g_Slide_X_Tuning4_Difference);
	SetIOInfoValueFromInstanceName("Slide_Y_Position", g_Slide_Y_Position);
	SetIOInfoValueFromInstanceName("Slide_Y_Tuning0_Difference", g_Slide_Y_Tuning0_Difference);
	SetIOInfoValueFromInstanceName("Slide_Y_Tuning1_Difference", g_Slide_Y_Tuning1_Difference);
	SetIOInfoValueFromInstanceName("Slide_Y_Tuning2_Difference", g_Slide_Y_Tuning2_Difference);
	SetIOInfoValueFromInstanceName("Slide_Y_Tuning3_Difference", g_Slide_Y_Tuning3_Difference);
	SetIOInfoValueFromInstanceName("Slide_Y_Tuning4_Difference", g_Slide_Y_Tuning4_Difference);
}

// update the input widgets
function UpdateInputWidgets()
{
//	alert("updating input widgets");
	for(var j  in g_IOInfos)
	{
        if (g_IOInfos[j].sType == "IN" || (g_IOInfos[j].sType == "VARIABLE" && g_IOInfos[j].sDriver == "Variable_IN"))
        {
			var sInstanceName = g_IOInfos[j].sInstanceName;
			var sID	= IDFromInstanceName(sInstanceName)
            var sValue	= g_IOInfos[j].sValue;
		    var sDriver	= g_IOInfos[j].sDriver;
//			alert("updating " + sInstanceName + " = " + sValue);
            sValue = RawToDisplayValue( sID, sValue);
		    WidgetSetValue(sDriver, sID, sValue);
		}
	}
}

function IOState( strID, strValue)
{
    this.strID = strID;
    this.strValue = strValue;
}
