;
; CSDRSLIDERFrags.tpl
;
; CSDRSLIDER driver fragment definition file
;
;

;@CMX_FRAG_CSDRSLIDER_INSTANTIATE
`@DRIVER_LIB_NAME`_CSDRSLIDER_Instantiate(&`@DRIVER_INSTANCE`);
;@CMX_SEGMENT_END

;@CMX_FRAG_CSDRSLIDER_GET_VALUE
`@DRIVER_LIB_NAME`_CSDRSLIDER_GetValue(&`@DRIVER_INSTANCE`);
;@CMX_SEGMENT_END

;@CMX_FRAG_CSDRSLIDER_PARAMBLOCK_EXTERN
extern `@DRIVER_LIB_NAME`_CSDRSLIDER_ParameterBlock const `@DRIVER_INSTANCE`;
;@CMX_SEGMENT_END

;@CMX_FRAG_CSDRSLIDER_INCLUDE
#include "`@DRIVER_LIB_NAME`_CSDRSLIDER.h"
;@CMX_SEGMENT_END

;@CMX_FRAG_CSDRSLIDER_ORDINAL_DEFINE
#define CSDRSLIDER_`@DRIVER_INSTANCE`_ORDINAL `@DRIVER_INTRAORDINAL`
;@CMX_SEGMENT_END


;@CMX_FRAG_CSDRSLIDER_CONTAINER_CSDRSLIDEBASE_ID
#define ID_`@CSDRSLIDER_CONTAINER_CSDRSLIDEBASE_INSTANCE` `@CSDRSLIDER_CONTAINER_CSDRSLIDEBASE_ARRAYORDINAL`
;@CMX_SEGMENT_END

;@CMX_FRAG_CSDRSLIDER_DECLARATION
const `@DRIVER_LIB_NAME`_CSDRSLIDER_ParameterBlock `@DRIVER_INSTANCE` =
{
	ID_`@DRIVER_INSTANCE`_SLIDER,
	(const CSDSliderSettings *)&SystemConst.`@DRIVER_INSTANCE` 
};
;@CMX_SEGMENT_END

;@CMX_FRAG_CSDRSLIDER_REFERENCESTUFFER
`@DRIVER_REFERENCE`
;@CMX_SEGMENT_END

;@CMX_FRAG_CSDRSLIDER_LIBNAMESTUFFER
`@DRIVER_LIB_NAME`_CSDRSLIDER
;@CMX_SEGMENT_END

;@CMX_FRAG_CSDRSLIDER_CONTAINER_CSDRSLIDEBASE_STUFFER
	`@CSDRSLIDER_REFERENCESTUFFER`_Tuning`@CSDRSLIDER_CONTAINER_CSDRSLIDEBASE_ARRAYORDINAL_INSTANCE_ORDINAL`_Difference = `@CSDRSLIDER_LIBNAMESTUFFER`_GetDifference(&`@CSDRSLIDER_CONTAINER_CSDRSLIDEBASE_ARRAYORDINAL_INSTANCE`);
;@CMX_SEGMENT_END

;@CMX_FRAG_CSDRSLIDER_INPUT_UPDATE
		`@DRIVER_REFERENCE`_Position = `@DRIVER_GET_VALUE`
#if `@DRIVER_Expose Tuning Values`
		`@CSDRSLIDER_CONTAINER_CSDRSLIDEBASE_STUFFER_BLOCK`
#endif
;@CMX_SEGMENT_END

;@CMX_FRAG_CSDRSLIDER_CONSTANT_DEFINE
	CSDSliderSettings `@DRIVER_INSTANCE`;
;@CMX_SEGMENT_END

;@CMX_FRAG_CSDRSLIDER_CONSTANT_INITIALIZER
	{	// `@DRIVER_INSTANCE`
		`@DRIVER_Scan Speed`,	// Scan Speed
		`@DRIVER_Scanning Resolution`,	// Scanning Resolution
		`@DRIVER_Ref Value`,	// Ref Value
	},
;@CMX_SEGMENT_END

;@CMX_FRAG_CSDRSLIDER_CONSTANT_INCLUDE
#include "`@DRIVER_LIB_NAME`_CSDRSLIDERConst.h"
;@CMX_SEGMENT_END
