//*****************************************************************************
//*****************************************************************************
//  FILENAME:  CMX_CSDRPROPERTY.h
//  Version: 1.0, Updated on 2009/5/7 at 21:17:42
//  
//
//  DESCRIPTION:  Header file for CSDRPROPERTY driver 
//-----------------------------------------------------------------------------
//      Copyright (c) Cypress MicroSystems 2006. All Rights Reserved.
//*****************************************************************************
//*****************************************************************************
#ifndef CSDRPROPERTY_INCLUDE
#define CSDRPROPERTY_INCLUDE

#include <M8C.h>
#include "CMX_CSDRPROPERTYConst.h"

#define CMX_CSDRPROPERTY_COUNT 1

////////////////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////////////////
// parameter block
typedef struct
{
	const CSDProperties * pCSDProperties;
}CMX_CSDRPROPERTY_ParameterBlock;

//-------------------------------------------------
// Prototypes of the CSDRPROPERTY API.
//-------------------------------------------------
extern void CMX_CSDRPROPERTY_Instantiate(const CMX_CSDRPROPERTY_ParameterBlock * pPBlock);

#endif
