//----------------------------------------------------------------------------
// DriverDecl.c
//----------------------------------------------------------------------------

#include "DriverDecl.h"
#include "CMXSystemExtern.h"

const CMX_CSDRSLIDEBASE_ParameterBlock pse_Slide_Y_CSD_Slider00 = { CSDRSLIDEBASE_pse_Slide_Y_CSD_Slider00_ORDINAL, 0, ID_pse_Slide_Y_SLIDER  };
const CMX_CSDRSLIDEBASE_ParameterBlock pse_Slide_Y_CSD_Slider01 = { CSDRSLIDEBASE_pse_Slide_Y_CSD_Slider01_ORDINAL, 1, ID_pse_Slide_Y_SLIDER  };
const CMX_CSDRSLIDEBASE_ParameterBlock pse_Slide_X_CSD_Slider00 = { CSDRSLIDEBASE_pse_Slide_X_CSD_Slider00_ORDINAL, 0, ID_pse_Slide_X_SLIDER  };
const CMX_CSDRSLIDEBASE_ParameterBlock pse_Slide_X_CSD_Slider01 = { CSDRSLIDEBASE_pse_Slide_X_CSD_Slider01_ORDINAL, 1, ID_pse_Slide_X_SLIDER  };
const CMX_CSDRSLIDEBASE_ParameterBlock pse_Slide_X_CSD_Slider02 = { CSDRSLIDEBASE_pse_Slide_X_CSD_Slider02_ORDINAL, 2, ID_pse_Slide_X_SLIDER  };
const CMX_CSDRSLIDEBASE_ParameterBlock pse_Slide_X_CSD_Slider03 = { CSDRSLIDEBASE_pse_Slide_X_CSD_Slider03_ORDINAL, 3, ID_pse_Slide_X_SLIDER  };
const CMX_CSDRSLIDEBASE_ParameterBlock pse_Slide_X_CSD_Slider04 = { CSDRSLIDEBASE_pse_Slide_X_CSD_Slider04_ORDINAL, 4, ID_pse_Slide_X_SLIDER  };
const CMX_CSDRSLIDEBASE_ParameterBlock pse_Slide_Y_CSD_Slider02 = { CSDRSLIDEBASE_pse_Slide_Y_CSD_Slider02_ORDINAL, 2, ID_pse_Slide_Y_SLIDER  };
const CMX_CSDRSLIDEBASE_ParameterBlock pse_Slide_Y_CSD_Slider03 = { CSDRSLIDEBASE_pse_Slide_Y_CSD_Slider03_ORDINAL, 3, ID_pse_Slide_Y_SLIDER  };
const CMX_CSDRSLIDEBASE_ParameterBlock pse_Slide_Y_CSD_Slider04 = { CSDRSLIDEBASE_pse_Slide_Y_CSD_Slider04_ORDINAL, 4, ID_pse_Slide_Y_SLIDER  };
const CMX_CSDRPROPERTY_ParameterBlock pse_CSDProp =
{
	(const CSDProperties *)&SystemConst.pse_CSDProp,
};
#if (SYSTEM_CONST_COUNT & 0xFF00)
const CMX_I2C_ParameterBlock pse_I2C_Slave = { ID_pse_I2C_Slave, 0, (BYTE)SYSTEM_VARIABLE_COUNT, (BYTE)SYSTEM_RW_VARIABLE_COUNT, (BYTE *) &SystemVars, 0xFF, (BYTE const *)&SystemConst };
#else
const CMX_I2C_ParameterBlock pse_I2C_Slave = { ID_pse_I2C_Slave, 0, (BYTE)SYSTEM_VARIABLE_COUNT, (BYTE)SYSTEM_RW_VARIABLE_COUNT, (BYTE *) &SystemVars, (BYTE)SYSTEM_CONST_COUNT, (BYTE const *)&SystemConst };
#endif
const CMX_VarFreqDutyPWM_ParameterBlock pse_PWM = { ID_pse_PWM, ID_PWMVFREQ_02, 1};
const CMX_SWINTCONTLED_ParameterBlock pse_LED_XP = {0, ID_SWPWM_17};
const CMX_SWINTCONTLED_ParameterBlock pse_LED_XM = {0, ID_SWPWM_19};
const CMX_SWINTCONTLED_ParameterBlock pse_LED_YP = {0, ID_SWPWM_21};
const CMX_SWINTCONTLED_ParameterBlock pse_LED_YM = {0, ID_SWPWM_23};
const CMX_USBUART_ParameterBlock pse_USB_COM = {(BYTE)SYSTEM_VARIABLE_COUNT, (BYTE)SYSTEM_RW_VARIABLE_COUNT, (BYTE *) &SystemVars, 0};
const CMX_CSDRSLIDER_ParameterBlock pse_Slide_X =
{
	ID_pse_Slide_X_SLIDER,
	(const CSDSliderSettings *)&SystemConst.pse_Slide_X 
};
const CMX_CSDRSLIDER_ParameterBlock pse_Slide_Y =
{
	ID_pse_Slide_Y_SLIDER,
	(const CSDSliderSettings *)&SystemConst.pse_Slide_Y 
};

void * const DriverParams[] =
{
	(void *)0,	// ID = 0
	(void *)&pse_Slide_Y_CSD_Slider00, // ID = 1
	(void *)&pse_Slide_Y_CSD_Slider01, // ID = 2
	(void *)&pse_Slide_X_CSD_Slider00, // ID = 3
	(void *)&pse_Slide_X_CSD_Slider01, // ID = 4
	(void *)&pse_Slide_X_CSD_Slider02, // ID = 5
	(void *)&pse_Slide_X_CSD_Slider03, // ID = 6
	(void *)&pse_Slide_X_CSD_Slider04, // ID = 7
	(void *)&pse_Slide_Y_CSD_Slider02, // ID = 8
	(void *)&pse_Slide_Y_CSD_Slider03, // ID = 9
	(void *)&pse_Slide_Y_CSD_Slider04, // ID = 10
	(void *)&pse_CSDProp, // ID = 11
	(void *)&pse_I2C_Slave, // ID = 12
	(void *)&pse_PWM, // ID = 13
	(void *)&pse_LED_XP, // ID = 14
	(void *)&pse_LED_XM, // ID = 15
	(void *)&pse_LED_YP, // ID = 16
	(void *)&pse_LED_YM, // ID = 17
	(void *)&pse_USB_COM, // ID = 18
	(void *)&pse_Slide_X, // ID = 19
	(void *)&pse_Slide_Y, // ID = 20
		// ID_MAX = 21
};
