//
// SystemVars.c
//
//   Updates system variables
#include "CMXSystem.h"
#include "CMXSystemFunction.h"
#include "SystemConst.h"
#include "FunctionParamDecl.h"
#include "SystemVars.h"

// system variable structure definition
SYSTEM_VARS_STRUC SystemVars;

void pse_ScaleDetect_TransferFunction()
{
	INT outputIndex = SystemVars.ReadOnlyVars.pse_ScaleDetect;

	if (SystemVars.ReadOnlyVars.pse_Slide_X_Position < 13)
	{
		outputIndex = 59;
	}
	else if (SystemVars.ReadOnlyVars.pse_Slide_X_Position < 25)
	{
		outputIndex = 67;
	}
	else if (SystemVars.ReadOnlyVars.pse_Slide_X_Position < 38)
	{
		outputIndex = 75;
	}
	else if (SystemVars.ReadOnlyVars.pse_Slide_X_Position < 50)
	{
		outputIndex = 79;
	}
	else if (SystemVars.ReadOnlyVars.pse_Slide_X_Position < 63)
	{
		outputIndex = 89;
	}
	else if (SystemVars.ReadOnlyVars.pse_Slide_X_Position < 75)
	{
		outputIndex = 100;
	}
	else if (SystemVars.ReadOnlyVars.pse_Slide_X_Position < 88)
	{
		outputIndex = 112;
	}
	else if (1)
	{
		outputIndex = 119;
	}

	SystemVars.ReadOnlyVars.pse_ScaleDetect = outputIndex;


}

void pse_LED_XM_TransferFunction()
{
	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_LED_XM;

	if (1)
	{
		outputIndex = 100- SystemVars.ReadOnlyVars.pse_Slide_X_Position;
	}

	SystemVars.ReadOnlyVars.pse_LED_XM = outputIndex;


}

void pse_LED_XP_TransferFunction()
{
	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_LED_XP;

	if (1)
	{
		outputIndex = SystemVars.ReadOnlyVars.pse_Slide_X_Position;
	}

	SystemVars.ReadOnlyVars.pse_LED_XP = outputIndex;


}

void pse_LED_YM_TransferFunction()
{
	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_LED_YM;

	if (1)
	{
		outputIndex = 100 - SystemVars.ReadOnlyVars.pse_Slide_Y_Position;
	}

	SystemVars.ReadOnlyVars.pse_LED_YM = outputIndex;


}

void pse_LED_YP_TransferFunction()
{
	BYTE outputIndex = SystemVars.ReadOnlyVars.pse_LED_YP;

	if (1)
	{
		outputIndex = SystemVars.ReadOnlyVars.pse_Slide_Y_Position;
	}

	SystemVars.ReadOnlyVars.pse_LED_YP = outputIndex;


}

void pse_PWM_TransferFunction()
{
	int outputIndex = SystemVars.ReadOnlyVars.pse_PWM;

	if (1)
	{
		outputIndex = SystemVars.ReadOnlyVars.pse_ScaleDetect  * 256 + SystemVars.ReadOnlyVars.pse_Slide_Y_Position;
	}

	SystemVars.ReadOnlyVars.pse_PWM = outputIndex;


}

